# Class JOrgchartsApi

#### Hierarchy (View Summary)

- JBaseApi
  - JOrgchartsApi

- Defined in jamespot-user-api/src/apis/orgcharts/orgcharts.ts:17

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

create
getConfiguration
list
updateExternalUsersImage

## Constructors

### constructor

- new JOrgchartsApi(jApi: JamespotUserApi): JOrgchartsApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JOrgchartsApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### create

- create<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = LIST,
  T extends string | number | symbol = never,
  E extends ArticleFormatsExtension = [],
  >(
  orgchart: MaybeWithToken<ArticleCreation>,
  options?: { format?: F; formatExtension?: E; signal?: AbortSignal },
  ): PromiseApiWrapper<ArticleReturn<F, T, E>[]>

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST
  - T extends string | number | symbol = never
  - E extends ArticleFormatsExtension = []

  #### Parameters

  - orgchart: MaybeWithToken<ArticleCreation>
  - `Optional` options: { format?: F; formatExtension?: E; signal?: AbortSignal }

  #### Returns PromiseApiWrapper<ArticleReturn<F, T, E>[]>

  - Defined in jamespot-user-api/src/apis/orgcharts/orgcharts.ts:28

### getConfiguration

- getConfiguration(): Promise<
  ApiWrapper<
  {
  global: {
  css: Record<string, string | null>;
  user_directory: {
  card: string[];
  filters: string[];
  show: string[];
  table: string[];
  };
  };
  writer: boolean;
  },
  BaseMessages,
  >,
  >

  #### Returns Promise<
  ApiWrapper<
  {
  global: {
  css: Record<string, string | null>;
  user_directory: {
  card: string[];
  filters: string[];
  show: string[];
  table: string[];
  };
  };
  writer: boolean;
  },
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/orgcharts/orgcharts.ts:56

### list

- list(
  config: ArticleListConfig,
  ): Promise<ApiWrapper<PagingResults<jOrgChartList>, BaseMessages>>

  #### Parameters

  - config: ArticleListConfig

  #### Returns Promise<ApiWrapper<PagingResults<jOrgChartList>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/orgcharts/orgcharts.ts:18

### updateExternalUsersImage

- updateExternalUsersImage(
  id: number,
  type?: string,
  idCurrentImg?: number,
  idPreviousImg?: number,
  ): Promise<
  ApiWrapper<
  { idImg: number; previousFileDeleted?: boolean },
  BaseMessages,
  >,
  >

  #### Parameters

  - id: number
  - `Optional` type: string
  - `Optional` idCurrentImg: number
  - `Optional` idPreviousImg: number

  #### Returns Promise<
  ApiWrapper<
  { idImg: number; previousFileDeleted?: boolean },
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/orgcharts/orgcharts.ts:40